Bug 966499 - Met "We appear to be having technical difficulties" error when revoking all the authorizations from website.
Met "We appear to be having technical difficulties" error when revoking all t...
Status: CLOSED CURRENTRELEASE
Product: OpenShift Online
Classification: Red Hat
Component: Website (Show other bugs)
2.x
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Clayton Coleman
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-23 07:26 EDT by Yujie Zhang
Modified: 2015-05-14 21:26 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-11 00:09:41 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Yujie Zhang 2013-05-23 07:26:50 EDT
Description of problem:

Login to openshift console, go to "Settings" page and click the "Revoke All" button of the "Authorizations" part, then met "We appear to be having technical difficulties" error, after that, when visiting "Settings" page and "My Account" page will also met "We appear to be having technical difficulties" error, logout and login using another account will be ok.

rhc does not have this issue, delet all tokens can be successful.

Version-Release number of selected component (if applicable):
devenv_3262

How reproducible:
always

Steps to Reproduce:
1.Login to openshift console
2.Go to "Settings" page and click the "Revoke All" button
3.Visit "Settings" page and "My Account" page

Actual results:

Met "We appear to be having technical difficulties " error when revoke all autrizations, and after that, settings page and my account page will also met this error.Log is as following:

2013-05-23 07:12:11.854 [INFO ] Started DELETE "/app/console/authorizations" for 203.114.244.88 at 2013-05-23 07:12:11 -0400 (pid:6618)
2013-05-23 07:12:11.892 [INFO ] Processing by AuthorizationsController#destroy_all as HTML (pid:6618)
2013-05-23 07:12:11.892 [INFO ] Parameters: {"authenticity_token"=>"7WSLdehLCvhxToW6OtZ5+DXU/SDysXcZP6en41g+ulY="} (pid:6618)
2013-05-23 07:12:11.894 [DEBUG] Session contents: {"ticket"=>"0|MxofXV5LJV5kPFDWhW2tpr5aceYQdlioCxB", "api_ticket"=>"70782fbf4f366aa6e301b0a22a05e134da11d8e095d6ce33dcb136d38448af1a", "login"=>"jinzhang+1@redhat.com", "streamline_type"=>:full, "terms"=>true, "session_id"=>"04d6e021a523482cbe7c236712fe2c96", "caps"=>[3, 0, [:small], nil, true], "currency_cd"=>"usd", "_csrf_token"=>"7WSLdehLCvhxToW6OtZ5+DXU/SDysXcZP6en41g+ulY=", "has_sshkey"=>false, "flash"=>#<ActionDispatch::Flash::FlashHash:0x00000005f57c10 @used=#<Set: {}>, @closed=false, @flashes={}, @now=#<ActionDispatch::Flash::FlashNow:0x00000005f57940 @flash=#<ActionDispatch::Flash::FlashHash:0x00000005f57c10 ...>>>} (pid:6618)
2013-05-23 07:12:12.301 [DEBUG] OpenShift API (392.3ms) delete https://localhost:443/broker/rest/user/authorizations.json [ code: 204 ] (pid:6618)
2013-05-23 07:12:12.304 [INFO ] Redirected to https://ec2-107-20-108-106.compute-1.amazonaws.com/app/console/settings (pid:6618)
2013-05-23 07:12:12.310 [INFO ] Completed 302 Found in 412ms (pid:6618)
2013-05-23 07:12:12.653 [INFO ] Started GET "/app/console/settings" for 203.114.244.88 at 2013-05-23 07:12:12 -0400 (pid:6618)
2013-05-23 07:12:12.681 [INFO ] Processing by SettingsController#show as HTML (pid:6618)
2013-05-23 07:12:12.681 [DEBUG] Session contents: {"ticket"=>"0|MxofXV5LJV5kPFDWhW2tpr5aceYQdlioCxB", "api_ticket"=>"70782fbf4f366aa6e301b0a22a05e134da11d8e095d6ce33dcb136d38448af1a", "login"=>"jinzhang+1@redhat.com", "streamline_type"=>:full, "terms"=>true, "session_id"=>"04d6e021a523482cbe7c236712fe2c96", "caps"=>[3, 0, [:small], nil, true], "currency_cd"=>"usd", "_csrf_token"=>"7WSLdehLCvhxToW6OtZ5+DXU/SDysXcZP6en41g+ulY=", "has_sshkey"=>false, "flash"=>#<ActionDispatch::Flash::FlashHash:0x00000004db5bb0 @used=#<Set: {:success}>, @closed=false, @flashes={:success=>"All authorizations revoked"}, @now=#<ActionDispatch::Flash::FlashNow:0x00000004db54d0 @flash=#<ActionDispatch::Flash::FlashHash:0x00000004db5bb0 ...>>>} (pid:6618)
2013-05-23 07:12:12.988 [DEBUG] OpenShift API (298.6ms) get https://localhost:443/broker/rest/user/keys.json [ code: 401 ] (pid:6618)
2013-05-23 07:12:13.121 [DEBUG] OpenShift API (270.5ms) get https://localhost:443/broker/rest/user/authorizations.json [ code: 401 ] (pid:6618)
2013-05-23 07:12:13.258 [DEBUG] OpenShift API (213.9ms) get https://localhost:443/broker/rest/domains.json [ code: 401 ] (pid:6618)
2013-05-23 07:12:13.268 [ERROR] ActiveResource::UnauthorizedAccess (Failed.  Response code = 401.  Response message = .) (pid:6618)
2013-05-23 07:12:13.274 [ERROR] ActiveResource::UnauthorizedAccess (Failed.  Response code = 401.  Response message = .) (pid:6618)
2013-05-23 07:12:13.287 [ERROR] Unhandled exception reference #c0306bb884f1e2931de5d7bb781a612b: Failed.  Response code = 401.  Response message = .
/opt/rh/ruby193/root/usr/share/gems/gems/openshift-origin-console-1.9.5/lib/active_resource/persistent_connection.rb:193:in `handle_response'
  /opt/rh/ruby193/root/usr/share/gems/gems/openshift-origin-console-1.9.5/lib/active_resource/persistent_connection.rb:172:in `request'
  /opt/rh/ruby193/root/usr/share/gems/gems/openshift-origin-console-1.9.5/lib/active_resource/persistent_connection.rb:109:in `block in get'
  /opt/rh/ruby193/root/usr/share/gems/gems/openshift-origin-console-1.9.5/lib/active_resource/persistent_connection.rb:275:in `with_auth'
  /opt/rh/ruby193/root/usr/share/gems/gems/openshift-origin-console-1.9.5/lib/active_resource/persistent_connection.rb:109:in `get'
  /opt/rh/ruby193/root/usr/share/gems/gems/openshift-origin-console-1.9.5/app/models/rest_api/base.rb:626:in `find_every'
  /opt/rh/ruby193/root/usr/share/gems/gems/openshift-origin-console-1.9.5/app/models/rest_api/base.rb:408:in `find'
  /opt/rh/ruby193/root/usr/share/gems/gems/activeresource-3.2.8/lib/active_resource/base.rb:826:in `first'
  /opt/rh/ruby193/root/usr/share/gems/gems/openshift-origin-console-1.9.5/app/models/domain.rb:40:in `find_one'
  /opt/rh/ruby193/root/usr/share/gems/gems/openshift-origin-console-1.9.5/app/models/rest_api/base.rb:410:in `find'
  /opt/rh/ruby193/root/usr/share/gems/gems/openshift-origin-console-1.9.5/app/controllers/domain_aware.rb:14:in `user_default_domain'
  /opt/rh/ruby193/root/usr/share/gems/gems/openshift-origin-console-1.9.5/app/controllers/settings_controller.rb:8:in `block in show'
  /opt/rh/ruby193/root/usr/share/gems/gems/openshift-origin-console-1.9.5/app/controllers/async_aware.rb:11:in `block in async' (pid:6618)
2013-05-23 07:12:13.983 [INFO ] Rendered console/error.html.haml within layouts/console (64.7ms) (pid:6618)
2013-05-23 07:12:13.104 [INFO ] Rendered /opt/rh/ruby193/root/usr/share/gems/gems/openshift-origin-console-1.9.5/app/views/layouts/_head.html.haml (4.3ms) (pid:6618)
2013-05-23 07:12:13.119 [INFO ] Rendered layouts/console/_stylesheets.html.haml (9.5ms) (pid:6618)
2013-05-23 07:12:13.141 [INFO ] Rendered layouts/console/_header.html.haml (14.0ms) (pid:6618)
2013-05-23 07:12:13.151 [INFO ] Rendered layouts/_footer.html.haml (5.0ms) (pid:6618)
2013-05-23 07:12:13.157 [INFO ] Rendered layouts/console/_javascripts.html.haml (3.8ms) (pid:6618)
2013-05-23 07:12:13.159 [INFO ] Completed 200 OK in 478ms (Views: 130.1ms) (pid:6618)

Expected results:

Revoke authorization should be successfull.

Additional info:
Comment 1 Clayton Coleman 2013-05-23 13:17:06 EDT
Order of rescue operations caused an error, fixed in https://github.com/openshift/li/pull/1453
Comment 2 openshift-github-bot 2013-05-23 16:08:53 EDT
Commit pushed to master at https://github.com/openshift/li

https://github.com/openshift/li/commit/02d450e0036fa0feb5a1f05c9ed9110899c39590
Bug 966499 - Properly handle REST API access revocation

Order of controller methods changed
Comment 3 Yujie Zhang 2013-05-24 01:45:56 EDT
Tested on devenv_3267, "Revoke All" can be done successfully, so verify this bug, thanks.

Note You need to log in before you can comment on or make changes to this bug.